<?php
require("../class/connect.php");
include("../class/db_sql.php");
include("../class/config.php");
include("../class/class.php");
include("../class/functions.php");
include LoadLang("pub/fun.php");
$link=db_connect();
$empire=new mysqlquery();
$logininid=getcvar('loginuserid');
$loginin=getcvar('loginusername');
$loginrnd=getcvar('loginrnd');
$loginlevel=getcvar('loginlevel');
is_login($logininid,$loginin,$loginrnd);
//验证权限
CheckLevel($logininid,$loginin,$classid,"searchkey");
$page=(int)$_GET['page'];
$start=(int)$_GET['start'];
$line=25;//每页显示条数
$page_line=18;//每页显示链接数
$offset=$start+$page*$line;//总偏移量
$query="select * from {$dbtbpre}enewssearch";
$totalquery="select count(*) as total from {$dbtbpre}enewssearch";
$classid=$_GET['classid'];
if($classid!=all)
{
	$bclassid=$classid;
	$query.=" where classid='$classid'";
	$totalquery.=" where classid='$classid'";
}
$search="&classid=".$classid;
//取得总条数
$num=$empire->gettotal($totalquery);
$query.=" order by onclick desc limit $offset,$line";
$sql=$empire->query($query);
//类别
$fcfile="../data/fc/ListEnews.php";
$class="<script src=../data/fc/cmsclass.js></script>";
if(!file_exists($fcfile))
{$class=ShowClass_AddClass("",$bclassid,0,"|-",0,0);}
$returnpage=page1($num,$line,$page_line,$start,$page,$search);
//风格
$loginadminstyleid=(int)getcvar('loginadminstyleid');
?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=gb2312">
<title>搜索关键字排行</title>
<link href="adminstyle/<?=$loginadminstyleid?>/adminstyle.css" rel="stylesheet" type="text/css">
</head>

<body>
<table width="100%" border="0" align="center" cellpadding="3" cellspacing="1">
  <tr>
    <td height="25">位置：<a href="SearchKey.php">搜索关键字排行</a></td>
  </tr>
</table>

  
<br>
<table width="100%" border="0" align="center" cellpadding="3" cellspacing="1" class="tableborder">
  <form name="form1" method="post" action="enews.php" onsubmit="return confirm('确定要删除?');">
    <tr class="header"> 
      <td height="25">删除搜索关键字记录</td>
    </tr>
    <tr> 
      <td height="25" bgcolor="#FFFFFF">删除搜索次 <strong><font color="#FF0000">&lt;</font></strong> 
        <input name="onclick" type="text" id="onclick" value="0" size="8">
        的记录
        <input type="submit" name="Submit" value="删除">
        <input name="enews" type="hidden" id="enews" value="DelSearchKey"></td>
    </tr>
	</form>
  </table>
<br>
<table width="100%" border="0" cellpadding="3" cellspacing="1" class="tableborder">
  <tr class="header"> 
    <td height="25" colspan="7">显示范围： 
      <select name="classid" id="classid" onchange=window.location='SearchKey.php?classid='+this.options[this.selectedIndex].value>
        <option value="all">全部关键字</option>
        <option value="0">不限栏目的搜索</option>
        <?=$class?>
      </select></td>
  </tr>
  <tr class="header"> 
    <td width="7%" height="25"><div align="center">ID</div></td>
    <td width="21%" height="25"><div align="center">关键字</div></td>
    <td width="15%" height="25"><div align="center">搜索栏目</div></td>
    <td width="22%" height="25"><div align="center">搜索字段</div></td>
    <td width="6%"><div align="center">匹配</div></td>
    <td width="22%" height="25"><div align="center">时间范围</div></td>
    <td width="7%"><div align="center">人气</div></td>
  </tr>
  <?
  while($r=$empire->fetch($sql))
  {
  	$allsame="模糊";
  	if($r[allsame])
	{$allsame="完全";}
  ?>
  <tr bgcolor="#FFFFFF"> 
    <td height="25"> <div align="center">
        <?=$r[searchid]?>
      </div></td>
    <td height="25"> <div align="center"><a href='../search/result?searchid=<?=$r[searchid]?>' title="LastTime: <?=$r[searchtime]?>" target=_blank>
        <?=$r[keyboard]?>
        </a></div></td>
    <td height="25"> <div align="center"><a href=SearchKey.php?classid=<?=$r[classid]?>>
        <?=$class_r[$r[classid]][classname]?>
        </a></div></td>
    <td height="25"> <div align="center">
        <?=$r[searchclass]?>
      </div></td>
    <td><div align="center"><?=$allsame?></div></td>
    <td height="25"> <div align="center"> 时间:
        <?=$r[starttime]?>
        =>
        <?=$r[endtime]?>
        <br>
        价格:
        <?=$r[startprice]?>
        -
        <?=$r[endprice]?>
      </div></td>
    <td> <div align="center">
        <?=$r[onclick]?>
      </div></td>
  </tr>
  <?
  }
  ?>
  <tr bgcolor="#FFFFFF"> 
    <td height="25" colspan="7">
      <?=$returnpage?>
    </td>
  </tr>
</table>
</body>
</html>
<?
db_close();
$empire=null;
?>
